/*
 * TestCastor.java
 *
 * Created on January 5, 2002, 4:34 PM
 */

import java.io.*;

/**
 *
 * @author  Andrea Giovannini
 */
public class TestCastor {


    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) throws Exception {
        Reader reader = new FileReader(args[0]);

        // Popola la todolist con i dati specificati nel file XML
        Todolist list = Todolist.unmarshal(reader);
        
        // Modifica la collezione
        for(int i=0; i<list.getItemCount(); i++) {
            // impostiamo tutte le attivit come da iniziare
            list.getItem(i).setState(0);
        }
        
        // Aggiungiamo una nuova attivit
        Item item = new Item();
        item.setNumber(4);
        item.setPriority(10);
        //item.setDescription("Leggere MokaByte");
        item.setState(0);
        
        list.addItem(item);
        
        // Validazione dei dati
        list.validate();
        
        // Salva i dati sul file XML
        Writer writer = new FileWriter(args[0]);
        list.marshal(writer);
    }
    
    
    
}
